apiVersion: v1
kind: Pod
metadata:
  name: "{{ .Release.Name }}-200-OK-test"
  labels:
    app.kubernetes.io/name: "{{ .Release.Name }}"
  annotations:
    helm.sh/hook: test-success
spec:
  containers:
  - name: tester
    image: "{{ .Values.image }}" # ellerbrock/alpine-bash-curl-ssl
    volumeMounts:
    - name: config-volume
      mountPath: /tester
    command: ["bash"]
    args: ["/tester/run.sh"]
  restartPolicy: Never
  volumes:
  - name: config-volume
    configMap:
      name: "{{ .Release.Name }}-test"
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: "{{ .Release.Name }}-ok-test"
  labels:
    app.kubernetes.io/name: "{{ .Release.Name }}"
  annotations:
    marketplace.cloud.google.com/verification: test
data:
  run.sh: |-
    set -x
    echo Waiting 30s for {{ .Release.Name }} to settle down and concentrate
    sleep 30
    endpoint="http://{{ .Release.Name }}:8080"
    echo GET $endpoint
    http_status_code=$(curl -o /dev/null -s -w "%{http_code}\n" $endpoint)
    echo "Expected http status code: 200"
    echo "Actual http status code: $http_status_code"
    if [[ "$http_status_code" == "200" ]]; then
      echo SUCCESS
    else
      echo FAILURE
      exit 1
    fi
